MeneerdeBoer

Support of SSE4.2 instructions for recent Intel CPU's?

Discussion created by MeneerdeBoer on Aug 18, 2011

Does Open64 support SSE4.2 / SSE4.1 / AVX instructions on recent Intel CPU's like Sandy Bridge 2600K?

When I try to compile a program with -msse4.2 or -msse4.1 the compiler reports that the CPU doesn't support these instructions. This seems incorrect.

I tried Open64 C compiler version: 4.2.5.2.

Outcomes